org.apache.thrift

## Class TByteArrayOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - org.apache.thrift.TByteArrayOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class TByteArrayOutputStream
      extends java.io.ByteArrayOutputStream

  Class that allows access to the underlying buf without doing deep copies on it.

- - ### Field Summary

    - ### Fields inherited from class java.io.ByteArrayOutputStream

      `buf, count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TByteArrayOutputStream()`
    `TByteArrayOutputStream(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `get()`
    `int` | `len()`

    - ### Methods inherited from class java.io.ByteArrayOutputStream

      `close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

    - ### Methods inherited from class java.io.OutputStream

      `flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TByteArrayOutputStream

          public TByteArrayOutputStream(int size)

    - #### TByteArrayOutputStream

          public TByteArrayOutputStream()

  - ### Method Detail

    - #### get

          public byte[] get()

    - #### len

          public int len()